<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui"
	xmlns:f="http://java.sun.com/jsf/core"
	template="/templates/template.xhtml">
	<ui:define name="content">
    <p:outputLabel value="Órgano Judicial : "/>
    <p:separator />
    <h:form rendered="#{!juzgadoMB.editMode}">
        <p:commandButton value="Nuevo" action="#{juzgadoMB.reset}" ajax="false"/>
        <p:separator />
        <p:dataTable id="juzgados" var="ent" value="#{juzgadoMB.list}" 
                 emptyMessage="No hay resultados para esa busqueda">
            
            <p:column headerText="Órgano Judicial" >
                <p:outputLabel value="#{ent.descripcion}" />
            </p:column>

            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Editar" />
                </f:facet>
                <p:commandButton id="edit" action="#{juzgadoMB.edit(ent)}" icon="ui-icon-pencil" ajax="false">
                </p:commandButton>
            </p:column>
            <p:column>
                <f:facet name="header">
                    <p:outputLabel value="Borrar" />
                </f:facet>
				<p:commandButton id="delete" icon="ui-icon-trash" update=":header-form:messages juzgados" action="#{juzgadoMB.delete(ent)}">
                	<p:confirm header="Atención" message="Está seguro que desea borrar el Órgano Judicial?" icon="ui-icon-alert" />
                </p:commandButton>
            </p:column>            
            
        </p:dataTable>
        <p:separator />
		<p:commandButton id="add" value="Nuevo" action="#{juzgadoMB.reset}" ajax="false"/>
		<p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
        	<p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
        	<p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
    	</p:confirmDialog>  
    	<input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/> 
    </h:form>
    <h:form rendered="#{juzgadoMB.editMode}">
         <p:panelGrid columns="3" >
            
                <p:outputLabel for="descripcion" value="Nombre : " />
                <p:inputText id="descripcion" value="#{juzgadoMB.instance.descripcion}" required="true"/>
                <p:message for="descripcion" display="icon"/>
                
                <p:outputLabel for="campoTpoOrgJudic" value="Tipo de Órgano Judicial :" />
       			<p:selectOneMenu id="campoTpoOrgJudic" value="#{juzgadoMB.instance.tipoOrganoJudicial}" 
       					converter="tipoOrganoJudicialConverter" required="true" label="Tpo Org Judic">
            		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
            		<f:selectItems value="#{commonSelectorsMB.getTipoOrganosJudiciales(juzgadoMB.instance.tipoOrganoJudicial)}" var="elem"
                           itemValue="#{elem}"
                           itemLabel="#{elem.descripcion}"/>
        		</p:selectOneMenu>
        		<p:message for="campoTpoOrgJudic" display="icon"/>
                
                <p:outputLabel for="campoDptoJudicial" value="Departamento Judicial :" />
       			<p:selectOneMenu id="campoDptoJudicial" value="#{juzgadoMB.instance.departamentoJudicial}" converter="departamentoJudicialConverter" 
       					required="true" label="Departamento Judicial">
            		<f:selectItem itemLabel="--Seleccione--" itemValue="#{null}"  />
            		<f:selectItems value="#{commonSelectorsMB.getDepartamentosJudiciales(juzgadoMB.instance.departamentoJudicial)}" var="elem"
                           itemValue="#{elem}"
                           itemLabel="#{elem.descripcion}"/>
        		</p:selectOneMenu>
        		<p:message for="campoDptoJudicial" display="icon"/>
            
        </p:panelGrid>
        <p:commandButton id="add" value="Guardar" action="#{juzgadoMB.save}" ajax="false"/>
        <p:commandButton id="cancel" value="Cancelar" action="#{juzgadoMB.cancel}" ajax="false" immediate="true"/>
        <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>    
    </h:form>
	</ui:define>
</ui:composition>
